[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMainMenu.Create

Constructor for the class instance.

## Declaration

Source position: menus.pp line 450

`public constructor TMainMenu.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor in TMainMenu.

Create ensures that the internal component style flags are set for the main menu instance. It also sets the WindowHandle to 0 (zero) to indicate that the display window has not been assigned for the menu instance.

Create calls the inherited constructor prior to exiting from the method.

## See also

TMainMenu.WindowHandle |  | Handle for the window where the menu is displayed.
TMenu.Create |  | Constructor for the class instance.